Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.frameworkAdapter.springBasic
Class SpringBasicFrameworkAdapterFilter

    java.lang.Object
      org.apache.myfaces.orchestra.frameworkAdapter.springBasic.SpringBasicFrameworkAdapterFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class SpringBasicFrameworkAdapterFilter

extends Object
implements javax.servlet.Filter

Configures the SpringBasicFrameworkAdapter.

Orchestra accesses information about the request, response, session, etc via a FrameworkAdapter so that it can be used with multiple web tier frameworks. This class selects and configures a version of this adapter which looks up variables via Spring.

If filter config parameter "conversationMessagerClass" is set, then this is passed to the SpringBasicFrameworkAdapter, meaning that this can be either a beanname defined in the dependency-injection framework, or an absolute classname of a type implementing ConversationMessager.

This filter access the Spring framework to lookup the bean in its `FrameworkAdapter.getBean(java.lang.String)` method

Constructor Summary
`SpringBasicFrameworkAdapterFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest req, javax.servlet.ServletResponse rsp, javax.servlet.FilterChain filterChain)`
`void` | `init(javax.servlet.FilterConfig filterConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringBasicFrameworkAdapterFilter

    public SpringBasicFrameworkAdapterFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### doFilter

    public void doFilter(javax.servlet.ServletRequest req,
                         javax.servlet.ServletResponse rsp,
                         javax.servlet.FilterChain filterChain)
                  throws IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `IOException`
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.